Package com.pixelmed.utils

# Class PrintStreamMessageLogger

java.lang.Object
com.pixelmed.utils.PrintStreamMessageLogger

All Implemented Interfaces:
  `MessageLogger`

public class PrintStreamMessageLogger extends Object implements MessageLogger

A class to write log and status messages to a `PrintStream` such as `System.err`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PrintStream`
`printStream`

## Constructor Summary

Constructors
Constructor
Description
`PrintStreamMessageLogger(PrintStream printStream)`

## Method Summary

Modifier and Type
Method
Description
`void`
`send(String message)`
Append the supplied text to the log.
`void`
`sendLn(String message)`
Append the supplied text to the log, followed by a new line.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### printStream

protected PrintStream printStream

## Constructor Details

### PrintStreamMessageLogger

public PrintStreamMessageLogger(PrintStream printStream)

## Method Details

### send

public void send(String message)
Description copied from interface: `MessageLogger`

Append the supplied text to the log.

Specified by:
  `send` in interface `MessageLogger`
Parameters:
  `message` - the (possibly multi-line) text to append to the log

### sendLn

public void sendLn(String message)
Description copied from interface: `MessageLogger`

Append the supplied text to the log, followed by a new line.

Specified by:
  `sendLn` in interface `MessageLogger`
Parameters:
  `message` - the (possibly multi-line) text to append to the log